/*
 * var.h - Variables
 *
 * Written 2002 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef VAR_H
#define VAR_H

#include "data.h"


/*
 * value.type is NULL in undefined variables.
 */

struct var {
    const char *name;			/* name */
    struct value value;			/* value */
    struct var *next;			/* next collision */
};


struct var *var_lookup(const char *name);
void var_assign(struct var *var,struct value value);

#endif /* VAR_H */
